package com.shining.cloud.mapper.RealTimeInfo;

import com.shining.cloud.pojo.RealTimeInfo.*;
import org.apache.ibatis.annotations.Param;
import org.apache.kafka.common.protocol.types.Field;

import java.util.List;

/**
 * @description: 实时数据Mapper
 * @author: denghuajun
 * @time: 2019-12-16 10:51:00
 **/

public interface RealTimeInfoMapper {
    //获取监测点详情
    LineBaseInfo getLineBaseInfo(@Param("lineIndex") int lineIndex);

    //实时数据
    RealTimeInfo getRealTimeInfo(@Param("lineIndex") int lineIndex, @Param("startTime") String startTime);

    //谐波电压含有率
    HarmRateV getHarmRateV(@Param("lineIndex") int lineIndex, @Param("startTime") String startTime);

    //谐波电流含有率
    HarmRateI getHarmRateI(@Param("lineIndex") int lineIndex, @Param("startTime") String startTime);

    //谐波电压限值
    Uharm getUharm(@Param("lineIndex") int lineIndex);

    //谐波电流限值
    Iharm getIharm(@Param("lineIndex") int lineIndex);

    //获取默认监测点
    LineInfo getLineId(@Param("lineIndex") List<Integer> lineIndex);

    String getUpdateTime(@Param("lineIndex") int lineIndex);

    //获取装置类型
    String devType(@Param("lineIndex") int lineIndex);

    //判断装置是否中断
    Integer isDown(@Param("lineIndex") int lineIndex);


    
}
